Bug 1927500 - API server exits non-zero on 2 SIGTERM signals
Summary: API server exits non-zero on 2 SIGTERM signals
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.7
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Stefan Schimanski
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 1926484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-10 21:00 UTC by Ryan Phillips
Modified: 2021-02-24 15:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1926484
Environment:
Last Closed: 2021-02-24 15:58:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 566 0 None closed [release-4.7] Bug 1927500: UPSTREAM: <carry>: kube-apiserver: ignore SIGTERM/INT after the first one 2021-02-15 18:43:16 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:38 UTC

Description Ryan Phillips 2021-02-10 21:00:08 UTC
+++ This bug was initially created as a clone of Bug #1926484 +++

Description of problem:
API server exits immediately if it received 2 SIGTERMs.
 We use systemd scopes for containers in OpenShift today and they don't support mixed mode (See https://bugzilla.redhat.com/show_bug.cgi?id=1925623). So, to make sure that the API server can gracefully shutdown, we need to make it resilient to multiple SIGTERMs during reboot/shutdown.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ryan Phillips 2021-02-10 21:01:16 UTC
Placeholder for the 4.7 cherry pick... https://github.com/openshift/kubernetes/pull/558 is pending merge to master.

Comment 3 Mike Fiedler 2021-02-12 15:32:25 UTC
Verified on 4.7.0-0.nightly-2021-02-12-013204

Second SIGTERM to kube-apiserver PID does not interrupt shutdown.

Comment 6 errata-xmlrpc 2021-02-24 15:58:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.